#include "ucp_param.h"
#include "mailbox.h"


int mailbox_flag = 0;

void mailbox_fun(int input_data)
{
    unsigned int temp;
  	temp = MAILBOX0_PRIDATAREG0;

}

void mailbox_init()
{
    int apeid;

    smart_irq_request(62,mailbox_fun);
    MAILBOX0_BASENUM = 0x100;
    MAILBOX0_NUMREG0 = 0xffffff00;  //interrupt dealy

    MAILBOX0_INTMASK3_0 |= 0x00000001;
	
    MAILBOX0_PRIDATAREG0 = 0x80000000;
}


void mailbox_intr_cfg() //trig malibox  bit28
{    

    MAILBOX0_PRIDATAREG0 = 0x123456;    //写寄存器触发中断

    return ;
}

